<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:mvc="http://www.springframework.org/schema/mvc" xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="http://www.springframework.org/schema/beans 
	http://www.springframework.org/schema/beans/spring-beans.xsd
	http://www.springframework.org/schema/aop 
http://www.springframework.org/schema/aop/spring-aop-3.2.xsd  ">

	<import resource="classpath*:business/applicationContext-customer.xml"/>

	 <bean id="SpringApplicationContext" class="com.util.SpringUtil"></bean> 
	<!-- 基础数据 -->
	<bean id="basicsdao" class="com.taiyiche.goldkey.business.basics.dao.impl.BasicsDaoImpl">
	  <property name="sessionFactory" ref="sessionFactory"></property>
	</bean>
	<bean id="basicsservice" class="com.taiyiche.goldkey.business.basics.service.impl.BasicsServiceImpl">
	  <property name="dao" ref="basicsdao"></property>
	</bean>
	<!-- 订单信息 -->
	<bean id="orderdao" class="com.taiyiche.goldkey.business.order.dao.impl.OrderDaoImpl">
	  <property name="sessionFactory" ref="sessionFactory"></property>
	</bean>
	<bean id="orderservice" class="com.taiyiche.goldkey.business.order.service.impl.OrderServiceImpl">
	  <property name="dao" ref="orderdao"></property>
	</bean>	
</beans>
